[Mesa-dev] [PATCH v2 15/23] glsl/tests/optimization-test: error if zero tests were executed
Emil Velikov
emil.l.velikov at gmail.com
Fri Mar 17 13:19:41 UTC 2017
From: Emil Velikov <emil.velikov at collabora.com>
We don't want to lie ourselves that 'everything is fine' when no tests
were found/ran.
Signed-off-by: Emil Velikov <emil.velikov at collabora.com>
---
src/compiler/glsl/tests/optimization-test.sh | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/src/compiler/glsl/tests/optimization-test.sh b/src/compiler/glsl/tests/optimization-test.sh
index ddfa7886b5a..5069235868a 100755
--- a/src/compiler/glsl/tests/optimization-test.sh
+++ b/src/compiler/glsl/tests/optimization-test.sh
@@ -72,6 +72,11 @@ for test in `find . -iname '*.opt_test'`; do
fi
done
+if [ $total -eq 0 ]; then
+ echo "Could not find any tests."
+ exit 1
+fi
+
echo ""
echo "$pass/$total tests returned correct results"
echo ""
--
2.11.1
More information about the mesa-dev
mailing list